r46497 - in /packages/cimg/trunk/debian: remove_privacy_violating_js_code rules

tille at users.alioth.debian.org tille at users.alioth.debian.org
Wed Jan 29 13:03:49 UTC 2014


Author: tille
Date: Wed Jan 29 13:03:49 2014
New Revision: 46497

URL: http://svn.debian.org/wsvn/debian-science/?sc=1&rev=46497
Log:
Not yet finished with privacy violating JS code ... but working on this

Added:
    packages/cimg/trunk/debian/remove_privacy_violating_js_code   (with props)
Modified:
    packages/cimg/trunk/debian/rules

Added: packages/cimg/trunk/debian/remove_privacy_violating_js_code
URL: http://svn.debian.org/wsvn/debian-science/packages/cimg/trunk/debian/remove_privacy_violating_js_code?rev=46497&op=file
==============================================================================
--- packages/cimg/trunk/debian/remove_privacy_violating_js_code	(added)
+++ packages/cimg/trunk/debian/remove_privacy_violating_js_code	Wed Jan 29 13:03:49 2014
@@ -0,0 +1,17 @@
+#!/bin/sh
+# remove code violating user privacy
+
+if [ $# -ne 1 ] ; then
+    echo "Usage: $0 <file>"
+    exit 1
+fi
+if [ ! -e $1 ] ; then
+    echo "File $1 not found"
+    exit 1
+fi
+sed -i -e '/<\!-- Start of StatCounter Code -->/,/<\!-- End Google Analytics -->/d' \
+       -e '/<script type="text\/javascript">/{;N;s/\n//;}' \
+       -e "/flattr_btn='compact'/{;N;s/\n//;}" \
+       -e '/<script type="text\/javascript">.*flattr_url/,/lattr_btn.*<\/script>/d' \
+       -e '/<script src="http:\/\/api.flattr.com\/button\/load.js.*javascript"><\/script>/d' \
+    $1

Propchange: packages/cimg/trunk/debian/remove_privacy_violating_js_code
------------------------------------------------------------------------------
    svn:executable = *

Modified: packages/cimg/trunk/debian/rules
URL: http://svn.debian.org/wsvn/debian-science/packages/cimg/trunk/debian/rules?rev=46497&op=diff
==============================================================================
--- packages/cimg/trunk/debian/rules	(original)
+++ packages/cimg/trunk/debian/rules	Wed Jan 29 13:03:49 2014
@@ -5,6 +5,7 @@
 
 pkg=cimg-dev
 examples=cimg-examples
+doc=cimg-doc
 
 %:
 	dh $@
@@ -21,10 +22,9 @@
 	            --exclude=.raw \
 	            --exclude=.gmic
 
-# override_dh_installchangelogs:
-	# dh_installchangelogs --exclude=CHANGES.txt
-	# mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)
-	# cp -a CHANGES.txt $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)/changelog
+override_dh_installdocs:
+	dh_installdocs
+	find debian/cimg-doc -type f -name "*.html" -exec debian/remove_privacy_violating_js_code \{\} \;
 
 override_dh_auto_test:
 	cd examples && $(MAKE) Mlinux "LDFLAGS=-lm -lpthread -lHalf"




More information about the debian-science-commits mailing list